VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Macros | Typedefs | Variables
module_win32.cpp File Reference
`#include "module.h"`
`#include "public.sdk/source/vst/utility/optional.h"`
`#include "public.sdk/source/vst/utility/stringconvert.h"`
`#include "pluginterfaces/base/funknownimpl.h"`
`#include <shlobj.h>`
`#include <windows.h>`
`#include <algorithm>`
`#include <iostream>`
`#include <experimental/filesystem>`

## Namespaces
namespace | VST3
namespace | VST3::Hosting

## Macros
#define | USE_FILESYSTEM 0
#define | _SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING
#define | USE_OLE !USE_FILESYSTEM
#define | LOG_ENABLE 0

## Typedefs
using | InitModuleFunc = bool (*) ()
using | ExitModuleFunc = bool (*) ()

## Variables
constexpr unsigned long | kIPPathNameMax = 1024

## Macro Definition Documentation

## ◆ USE_FILESYSTEM

#define USE_FILESYSTEM 0

## ◆ _SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING

#define _SILENCE_EXPERIMENTAL_FILESYSTEM_DEPRECATION_WARNING

## ◆ USE_OLE

#define USE_OLE !USE_FILESYSTEM

## ◆ LOG_ENABLE

#define LOG_ENABLE 0

## Typedef Documentation

## ◆ InitModuleFunc

using InitModuleFunc = bool (*) ()

## ◆ ExitModuleFunc

using ExitModuleFunc = bool (*) ()

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.